<%@ page errorPage="errorPage.jsp" language="java" session="true" contentType="text/html;charset=ISO-8859-2" %>
<%
	
	String level_id = (String)session.getAttribute("USER_LOGGED_LEVEL_ID");
	
	
	
	com.etixpert.evolution.gui.servlets.FormHelper.cancelNewUser(session);
	com.etixpert.evolution.gui.servlets.FormHelperC.cancelNewCustomer(session);
	com.etixpert.evolution.gui.servlets.FormHelperC.cancelNewInteressent(session);

	com.etixpert.evolution.gui.servlets.FormHelper.cancelNewOrder(session);

	try {
		java.util.List defLevels = com.etixpert.evolution.gui.servlets.DiscountHelper.loadDefaultLevels(session);
		session.setAttribute("def_discount_levels", defLevels);
		java.util.List defLevelsGrossHandler = com.etixpert.evolution.gui.servlets.DiscountHelper.loadDefaultLevelsForGrossHandler(session);
		java.util.List defLevelsHandler = com.etixpert.evolution.gui.servlets.DiscountHelper.loadDefaultLevelsForHandler(session);
		java.util.List defLevelsApotheker = com.etixpert.evolution.gui.servlets.DiscountHelper.loadDefaultLevelsForHandler(session);
		java.util.List defLevelsCustomer = com.etixpert.evolution.gui.servlets.DiscountHelper.loadDefaultLevelsForCustomer(session);
		session.setAttribute("def_discount_levels_grosshandler", defLevelsGrossHandler);
		session.setAttribute("def_discount_levels_handler", defLevelsHandler);
		session.setAttribute("def_discount_levels_apotheker", defLevelsApotheker);
		session.setAttribute("def_discount_levels_customer", defLevelsCustomer);
		String pp = com.etixpert.evolution.gui.servlets.DiscountHelper.getGrossHandlerDefaultDiscountLevel();
		session.setAttribute("default_grosshandler_discount_level", pp);
		
		String pp2 = com.etixpert.evolution.gui.servlets.DiscountHelper.getCustomerDefaultDiscountLevel();
		session.setAttribute("default_customer_discount_level", pp2);

	} catch (Exception e) {
	}	

	java.util.Map addressMap2 =  new java.util.Hashtable();
	addressMap2.put("default_delivery", new Integer(0));
	addressMap2.put("default_bill", new Integer(0));
	addressMap2.put("count", new Integer(0));
	session.setAttribute("user_addresses", addressMap2);

	//session.setAttribute("special_discount", "5");

	java.util.Map addressMap2c =  new java.util.Hashtable();
	addressMap2c.put("default_delivery", new Integer(0));
	addressMap2c.put("default_bill", new Integer(0));
	addressMap2c.put("count", new Integer(0));
	session.setAttribute("customer_addresses", addressMap2c);
	
	java.util.Map addressMap2i =  new java.util.Hashtable();
	addressMap2i.put("default_delivery", new Integer(0));
	addressMap2i.put("default_bill", new Integer(0));
	addressMap2i.put("count", new Integer(0));
	session.setAttribute("interessent_addresses", addressMap2i);

	java.util.Map combiMap =  new java.util.Hashtable();
	combiMap.put("count", new Integer(0));
	session.setAttribute("combi_articles", combiMap);

	java.util.Map ncombiMap =  new java.util.Hashtable();
	ncombiMap.put("count", new Integer(0));
	session.setAttribute("new_combi_articles", ncombiMap);


	//com.etixpert.evolution.gui.servlets.FormHelper.cancelNewUser(session);
	


	java.util.Map bankMap2 =  new java.util.Hashtable();
	java.util.Map creditMap2 =  new java.util.Hashtable();

	bankMap2.put("default_bonus", new Integer(0));
	bankMap2.put("default_bill", new Integer(0));
	bankMap2.put("count", new Integer(0));	
	session.setAttribute("user_banks", bankMap2);

	creditMap2.put("defaul_delivery", "0");
	creditMap2.put("default_bill", "0");
	creditMap2.put("count", new Integer(0));
	session.setAttribute("user_credits", creditMap2);

	java.util.Map bonusMap =  new java.util.Hashtable();
	bonusMap.put("count", new Integer(0));
	
	session.setAttribute("user_bonuses",bonusMap);
	


	java.util.Map bankMap2c =  new java.util.HashMap();
	java.util.Map creditMap2c =  new java.util.HashMap();

	bankMap2c.put("default_bonus", new Integer(0));
	bankMap2c.put("default_bill", new Integer(0));
	bankMap2c.put("count", new Integer(0));	
	session.setAttribute("customer_banks", bankMap2c);

	creditMap2c.put("defaul_delivery", "0");
	creditMap2c.put("default_bill", "0");
	creditMap2c.put("count", new Integer(0));
	session.setAttribute("customer_credits", creditMap2c);

	java.util.Map orderMap =  new java.util.HashMap();
	orderMap.put("count", new Integer(0));	

	session.setAttribute("order_details", orderMap);

	java.util.Map orderMapstatic =  new java.util.HashMap();
	orderMapstatic.put("count", new Integer(0));	

	session.setAttribute("order_details_static", orderMapstatic);

	
	java.util.Map aboMap = new java.util.HashMap();
	aboMap.put("count", new Integer(0));
	session.setAttribute("user_abo_details", aboMap);
	
	java.util.Map cAboMap = new java.util.HashMap();
	cAboMap.put("count", new Integer(0));
	session.setAttribute("customer_abo_details", cAboMap);
	
	java.util.Map orderMapN =  new java.util.HashMap();
	orderMapN.put("count", new Integer(0));	

	session.setAttribute("new_order_details", orderMapN);
	
	java.util.Map aboMapN = new java.util.HashMap();
	aboMapN.put("count", new Integer(0));
	session.setAttribute("user_new_abo_details", aboMapN);
	
	java.util.Map aboMapNC = new java.util.HashMap();
	aboMapNC.put("count", new Integer(0));
	session.setAttribute("customer_new_abo_details", aboMapN);

	String type="c";
	
	type = (String)session.getAttribute("USER_LOGGED_TYPE");
	

	if (type.equals("d")) {		
		session.setAttribute("CURRENT_DISTRIBUTOR_ID", (String)session.getAttribute("USER_LOGGED_ID"));
		com.etixpert.evolution.gui.servlets.FormHelper.loadDistributor(session, com.etixpert.evolution.gui.servlets.MainControl.logger);
	}
	if (type.equals("c")) {
		session.setAttribute("CURRENT_CUSTOMER_ID", (String)session.getAttribute("USER_LOGGED_ID"));
		com.etixpert.evolution.gui.servlets.FormHelperC.loadDistributor(session, com.etixpert.evolution.gui.servlets.MainControl.logger);
	}
	
	%>
<SCRIPT LANGUAGE="JavaScript">
<!-- JavaScript code hiding

	function simpleLink(origLink) {
		parent.mainFrame.location = origLink;
	}


	function link(origLink){
		if (top.mainFrame.document.forms.length == 0) {
			simpleLink(origLink);
			return;
		}
		else {
			if (top.mainFrame.document.forms[0].saveState == null) {
				simpleLink(origLink); 
				return;
			}
			top.mainFrame.document.forms[0].saveState.value = top.mainFrame.self.location.pathname;
			top.mainFrame.document.forms[0].link.value = origLink;
			top.mainFrame.document.forms[0].submit();
		}
	}
// -->
</SCRIPT>
<html>
<HEAD>
<TITLE>---</TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
</HEAD>
  <body>
      <!--<center>
    	<form  name="select_person" action="process/new_order.jsp" method="post">
       	    <input type="hidden" name="link" value="process/new_order.jsp"/>
    		<input type="hidden" name="saveState"/>
			<img src="img/evolution_logo_small.gif" width="400" border="0" align="center">  				
    	</form>
    </center>-->
  <% if ("100".equals(level_id) || "130".equals(level_id) || "160".equals(level_id) || "200".equals(level_id)) {%>
	    <iframe src="https://www.evolution-international.com/evokunden" frameborder="0" style="width: 100%; height: 100%; position:relative;" scrolling="no"/>
    <% } else if ("300".equals(level_id)) { %>
	    <iframe src="https://www.evolution-international.com/evotherapeuten" frameborder="0" style="width: 100%; height: 100%; position:relative;" scrolling="no"/>
    <% } else if ("330".equals(level_id) || "350".equals(level_id)) { %>
    	<iframe src="https://www.evolution-international.com/evohaendler" frameborder="0" style="width: 100%; height: 100%; position:relative;" scrolling="no"/>
    <% } else if ("400".equals(level_id)) { %>
    	<iframe src="https://www.evolution-international.com/evopartner" frameborder="0" style="width: 100%; height: 100%; position:relative;" scrolling="no"/>
    <% } else { %>
	    <iframe src="https://www.evolution-international.com/default" frameborder="0" style="width: 100%; height: 100%; position:relative;" scrolling="no"/>
    <% } %>
  </body>
<HEAD>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
</HEAD>  
</html>
	
	